Bug 1994707 - cluster-etcd-operator: handle unstarted member condition in status request.
Summary: cluster-etcd-operator: handle unstarted member condition in status request.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-17 18:13 UTC by Sam Batschelet
Modified: 2021-10-18 17:47 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:47:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 644 0 None None None 2021-08-17 18:14:29 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:14 UTC

Description Sam Batschelet 2021-08-17 18:13:50 UTC
Description of problem: etcd members populate ClientURLs during runtime. So a member with no ClientURLs is unstarted. Currently, we do not ensure the member is started before sending RPC to StatusRequest.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. MemberListResponse with unstarted member in list (no ClientURLs)
2. Send member to Status

ref: https://github.com/openshift/cluster-etcd-operator/blob/ea4c530cceefe91539a655e8406abbf9c0560da7/pkg/operator/defragcontroller/defragcontroller.go#L122

Actual results: panic


Expected results: as described in title


Additional info:

Comment 2 ge liu 2021-08-23 09:17:24 UTC
No issue in regression test.

Comment 5 errata-xmlrpc 2021-10-18 17:47:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.